namespace Luski.Classes.Attribs;

[AttributeUsage(AttributeTargets.Property)]
public class NumberSelectorAttribute(Type PropertyType, bool Percentage = false, string Suffix = "") : Attribute
{
    public bool Percentage { get; init; } = Percentage;
    public string Suffix { get; init; } = Suffix;
    public Type Kind { get; init; } = PropertyType;
}